@import url('http://fonts.cdnfonts.com/css/chinese-rocks');

@import url('https://fonts.googleapis.com/css2?family=Oswald&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Rajdhani:wght@100&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Kite+One&display=swap');


@font-face {
    font-family: 'Chinese Rocks Rg';
    src: url('../chinese.ttf') format('truetype');

    }



:root {
    --white-color: #fff;
    --opacity-color: rgba(255, 255, 255, 0.767);
    --dark-color: #222;
    --body-bg-color: #fff;
    /* --section-bg-color: #202834; */
    --section-bg-color: #080808;
    --navigation-item-hover-color: #720303;
    --navigation-item-hover-color-dark: #4b0000;

    --text-shadow: 0 5px 25px rgba(0, 0, 0, 0.1);
    --box-shadow: 0 5px 25px rgb(0 0 0 / 20%);

    --scroll-bar-color: rgb(0, 0, 0);
    --scroll-thumb-color: #8a0000;
    --scroll-thumb-hover-color: #770202;

    --title-span: #ac0f0f;
    --indicator: #c31212;
}

/*======= Scroll bar =======*/
::-webkit-scrollbar {
    width: 12px;
    background: transparent;
}

::-webkit-scrollbar-thumb {
    width: 100%;
    background: var(--scroll-thumb-color);
    border-radius: 2em;
}

::-webkit-scrollbar-thumb:hover {
    background: var(--scroll-thumb-hover-color);
}

/*======= Main CSS =======*/
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Chinese Rocks Rg';
}


html {
    scroll-behavior: smooth;
    scroll-padding-top: 35px;
}


body {
    background: var(--body-bg-color);
    overflow: overlay;
    position: relative;
    z-index: 2;
    margin-bottom: 120px;

}

main {
    /* position: relative; */
    z-index: 2;
    margin-bottom: 120px;
    -webkit-box-shadow: 0px 8px 15px 3px rgba(0, 0, 0, 0.85);
    -moz-box-shadow: 0px 8px 15px 3px rgba(0, 0, 0, 0.85);
    box-shadow: 0px 8px 15px 3px rgba(0, 0, 0, 0.85);
}

section {
    position: relative;
}

.section {
    min-height: 100vh;
    color: var(--white-color);
    background-color: var(--section-bg-color);
    padding: 35px 580px;
    transition: 0.3s ease;
}

header {
    z-index: 9999;
    position: fixed;
    width: 100%;
    height: calc(5rem + 1rem);
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    transition: 0.5s ease;
    transition-property: height, background;
}

header.sticky {
    height: calc(2.5rem + 1rem);
    background: rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(20px);
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

header .nav-bar {
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 200px;
    transition: 0.3s ease;
}

.nav-close-btn, .nav-menu-btn {
    display: none;
}

.nav-bar .logo img {
    width: 110px;
    opacity: 0.9;
}

.navigation .nav-items a {
    color: var(--white-color);
    font-size: 1.2em;
    text-decoration: none;
    text-shadow: var(--text-shadow);
    transition: 1.5s;
    letter-spacing: 0.1rem;
    opacity: 0.9;
}


.navigation .nav-items a:hover {
    transition: 1.5s;
    color: rgb(255, 196, 0);
}

.navigation .nav-items .activee {
    transition: 0.8s;
    color: rgb(255, 196, 0);
}

.navigation .nav-items a i{
    display: none;
}

.navigation .nav-items a:not(:last-child) {
    margin-right: 45px;
}

.home {
    min-height: 100vh;
}

.home:before {
    z-index: 888;
    content: '';
    position: absolute;
    width: 100%;
    height: 50px;
    bottom: 0;
    left: 0;
    background: linear-gradient(transparent, var(--section-bg-color));
}

.bg-slider {
    z-index: 777;
    position: relative;
    width: 100%;
    min-height: 100vh;
}

.bg-slider .swiper-slide {
    position: relative;
    width: 100%;
    height: 100vh;
}

.bg-slider .swiper-slide img {
    width: 100%;
    height: 100vh;
    object-fit: cover;
    background-position: center;
    background-size: cover;
    pointer-events: none;
    
}

.swiper-slide .text-content {
    position: absolute;
    top: 25%;
    color: var(--white-color);
    margin: 0 200px;
    transition: 0.3s ease;
}

.swiper-slide .text-content .title {
    font-size: 4em;
    font-weight: 700;
    text-shadow: var(--text-shadow);
    margin-bottom: 20px;
    transform: translateY(-50px);
    opacity: 0;
}

.swiper-slide-active .text-content .title {
    transform: translateY(0);
    opacity: 0.8;
    transition: 1s ease;
    transition-delay: 0.3s;
    transition-property: transform, opacity;
    letter-spacing: 2px;
}
.swiper-slide .text-content .title .rdr2 {
    color: var(--title-span);
    font-size: 1.1em;
}

.swiper-slide .text-content .title .review {
    color: var(--white-color);
    font-size: 0.29em;
    opacity: 0.7;
    position: absolute;
    padding-left: 15px;
    padding-top: 6px;
    /* text-align: justify; */
}

.swiper-slide .text-content .title span {
    font-size: 0.7em;
    font-weight: 300;
    /* color: var(--scroll-thumb-hover-color); */
}

.swiper-slide .text-content p {
    max-width: 700px;
    /* background: rgba(255, 255, 255, 0.1); */
    background: rgb(0 0 0 / 10%);
    backdrop-filter: blur(10px);
    text-shadow: var(--text-shadow);
    padding: 20px;
    border-top-left-radius: 20px;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 20px;
    border-bottom-left-radius: 5px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    border-right: 1px solid rgba(0, 0, 0, 0.1);
    box-shadow: var(--box-shadow);
    transform: translateX(-80px);
    opacity: 0;
    text-align: justify;
}

.swiper-slide .text-content p::before{
    content: '';
    position: absolute;
    width: 120%;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    height: 0px;
    background-color: #5af5ff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    z-index: 2;
}


.swiper-slide-active .text-content p {
    transform: translateX(0);
    opacity: 0.8;
    transition: 1s ease;
    transition-delay: 0.3s;
    transition-property: transform, opacity;
    font-family: 'Oswald', sans-serif;
    font-size: 1.2em;
    font-weight: 100;

}

.swiper-slide .text-content .read-btn {
    border: none;
    outline: none;
    background: var(--opacity-color);
    color: var(--dark-color);
    font-size: 1em;
    font-weight: 500;
    padding: 8px 25px;
    display: flex;
    align-items: center;
    margin-top: 40px;
    border-radius: 10px;
    cursor: pointer;
    transform: translateX(50px);
    opacity: 0;
}


.swiper-slide-active .text-content .read-btn {
    transform: translateX(0);
    opacity: 1;
    transition: 1s ease;
    transition-delay: 0.3s;
    transition-property: transform, opacity;
    letter-spacing: 0.15rem;
}

.swiper-slide .text-content .read-btn i {
    font-size: 1.6em;
    transition: 0.3s ease;
}

.swiper-slide .text-content .read-btn:hover i {
    transform: translateX(5px);
}


.swiper-slide .text-content a {
    color: var(--white-color);
    text-decoration: none;
} 

.swiper-slide .text-content a.down .read-btn {
    font-size: 1.2em;
}

.swiper-slide .text-content a.down .read-btn:hover i {
    transform: translateY(5px);
} 



.indicator  {
    position: fixed;
    display: block;
    background-color: var(--indicator);
    height: 4px;
    top: 0px;
    left: 0;
    box-shadow: 0 5px 25px var(--indicator),
                0 5px 50px var(--indicator);
}


.swiper-slide .personal {
    position: absolute;
    top: 50%;
    margin: 0px 450px;
    transition: 0.3s ease;

}

.swiper-slide .personal img {
    position: fixed;
    bottom: 0;
    right: 0;
    transform: translateX(50px);
    opacity: 0;
}

.swiper-slide-active .personal img {
    max-width: 680px;
    height: auto;
    transform: translateX(0);
    opacity: 1;
    transition: 1s ease;
    transition-delay: 0.3s;
    transition-property: transform, opacity;

}


.dark-layer:before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100vh;
    top: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.2);
}

.bg-slider-thumbs {
    z-index: 777;
    position: absolute;
    bottom: 7em;
    left: 50%;
    transform: translateX(-50%);
    transition: 0.3s ease;
}

.thumbs-container img {
    background: rgba(0, 0, 0, 0.404);
    backdrop-filter: blur(1px);
    padding: 5px;
    border-radius: 50%;
    /* border-bottom: 1px solid rgba(255, 255, 255, 0.1);
    border-right: 1px solid rgba(255, 255, 255, 0.1); */
    box-shadow: var(--box-shadow);
    width: 50px;
    height: 50px;
    margin: 0 5px;
    cursor: pointer;
    transition: 0.3s ease;
}   


.thumbs-container img:hover {
    transition: 0.3s ease;
    width: 57px;
    height: 57px;
    transition: 0.3s ease;
}  

.swiper-slide-thumb-active {
    border: 2px solid var(--white-color);
    opacity: 0.7;
}


.media-icons {
    z-index: 999;
    position: absolute;
    display: flex;
    flex-direction: column;
    top: 50%;
    transform: translateY(-50%);
    margin-left: 90px;
}


.media-icons a {
    color: var(--white-color);
    font-size: 1.7em;
    margin: 10px 0;
    opacity: 0.65;
    transition: 2s;
}

.media-icons a:hover {
    opacity: 0.9;
    transition: 2s;
}

.media-icons img {
    width: 0.98em;
    height: 0.98em;
}

.media-icons img:hover{
    opacity: 0.9;
    transition: 2s;
}

.uil-star {
    color: rgb(255, 196, 0);
    font-size: 1.8em;
}

.uil-18-plus {
    color: var(--title-span);

}
/*======= About section =======*/

.about h2 {
    font-size: 3em;
    font-weight: 600;
    padding-left: 1.25rem;
    /* margin-top: 35px; */
    border-left: 0.5rem solid var(--title-span);
    letter-spacing: 0.1em;
}


.about h3 {
    font-size: 1.8em;
    font-weight: 600;
    padding-left: 1.25rem;
    /* margin-top: 35px; */
    border-left: 0.5rem solid var(--title-span);
    letter-spacing: 0.1em;
}

.about p {
    margin: 25px 0;
    text-align: justify;
    font-family: 'Oswald', sans-serif;
    font-size: 1.3em;
    letter-spacing: 2px;
    font-weight: 100;
}

.about p span {
    font-size: 1em;
}

.about p span .rdr2 {
    color: var(--title-span);
    font-size: 1em;
}

.about p span.last {
    font-size: 1.3em;
}

.about p span.last .rdr2 {
    color: var(--title-span);
}


.about h2 span .rdr2 {
    color: var(--title-span);
}

.swiper-slide .videobox{
    position: absolute;
    top: 0;
    margin: 0px 850px;
    transition: 0.3s ease;
}

.swiper-slide .videobox #player{
    transform: translateX(50px);
    opacity: 0;
}


.swiper-slide-active .videobox #player {
    transform: translateX(0);
    opacity: 0.65;
    transition: 1s ease;
    transition-delay: 0.3s;
    transition-property: transform, opacity;
}


.block {
    display: none;
}


footer {
    position: fixed;
    z-index:-1;
    bottom: 0;
    width: 100%;
    line-height: 120px;
    height: 120px;
    color: var(--white-color);
    justify-content: center;
    align-items: center;
    margin: 0;
    text-align: center;
    background-color: #3f0d12;
    background-image: linear-gradient(315deg, #44000a 0%, #bd2000 74%);
    /* background-image:  url("../images/bg6.jpg"); */
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    overflow: hidden; 
}

footer p {
    display: inline-block;
    vertical-align: middle;
    font-size: 20px;
    letter-spacing: .2em;

}

footer p a {
    text-decoration: none;
    color: var(--white-color);
}



@media screen and (max-width: 1300px) {
    .swiper-slide-active .personal img {
        max-width:  430px;
    }

    .swiper-slide-active .personal img {
        max-width: 380px;
    }

    .section {
        padding: 35px 280px;
    }
}

/*======= Media queries (max-width: 1100px) =======*/
@media screen and (max-width: 1200px) {
    .swiper-slide-active .personal img {
        max-width:  420px;
    }

    .swiper-slide-active .personal img {
        max-width: 380px;
    }

    .swiper-slide .videobox{
        margin: 35% 230px;
    }

    .swiper-slide-active .videobox #player {
        height: 260px;
        width: 400px;
    }
}



@media screen and (max-width: 1100px) {
    header .nav-bar {
        padding: 0 50px;
    }

    .section {
        padding: 25px 50px;
    }

    .media-icons {
        right: 0;
        margin-right: 50px;
    }

    .swiper-slide .text-content {
        margin: 0 120px 0 50px;
    }

    .bg-slider-thumbs {
        bottom: 3em;
    }

    .swiper-slide-active .personal img {
        max-width: 420px;
    }

    .swiper-slide .videobox{
        display: none;
    }

    .swiper-slide-active .videobox #player {
        display: none;
    }
}

@media screen and (max-width:1000px) {
    .swiper-slide-active .personal img {
        max-width: 380px;
    }
    .swiper-slide .videobox{
        margin: 500px 180px;
    }

    .swiper-slide-active .videobox #player {
        height: 260px;
        width: 400px;
    }
}


/*======= Media queries (max-width: 785) =======*/
@media screen and (max-width: 785px) {
    header .nav-bar {
        padding: 25px 20px;
    }

    .section {
        padding: 25px 100px;
    }

    .media-icons {
        margin-right: 20px;
    }

    .media-icons a {
        font-size: 1.5em;
    }

    .media-icons img {
        width: 0.9em;
        height: 0.9em;
    }

    .swiper-slide .text-content {
        margin: 0px 70px 0 20px;
    }

    .swiper-slide .text-content .title {
        font-size: 2.7em;
    }

    .swiper-slide .text-content .title span {
        font-size: 0.35em;
    }  
    
    .swiper-slide .text-content p {
        font-size: 0.8em;
    }

    .swiper-slide-active .personal img {
        max-width: 320px;
    }
    .swiper-slide .text-content .title .review {
        color: var(--white-color);
        font-size: 0.26em;
        opacity: 0.7;
        position: absolute;
        padding-left: 13px;
        padding-top: 6px;
        /* text-align: justify; */
    }


    /*======= Navigation menu =======*/
    .nav-menu-btn {
        display: block;
        color: var(--white-color);
        font-size: 1.5em;
        cursor: pointer;
        opacity: 0.9;
    }

    .nav-close-btn {
        display: block;
        color: var(--dark-color);
        position: absolute;
        top: 0;
        right: 0;
        font-size: 1.3em;
        margin: 10px;
        cursor: pointer;
        transition: 0.3 ease;
    }

    .navigation {
        z-index: 99999;
        position: fixed;
        width: 100%;
        height: 100vh;
        top: 0;
        left: 0;
        background: rgba(0, 0, 0, 0.25);
        display: flex;
        justify-content: center;
        align-items: center;
        visibility: hidden;
        opacity: 0;
        transition: 0.3s ease;
    }

    .navigation.active {
        visibility: visible;
        opacity: 1;
    }

    .navigation .nav-items {
        position: relative;
        background: var(--white-color);
        width: 400px;
        max-width: 400px;
        display: grid;
        place-content: center;
        margin: 20px;
        padding: 20px;
        border-radius: 20px;
        box-shadow: var(--box-shadow);
        transform: translateY(-200px);
        transition: 0.3s ease;
    }

    .navigation.active .nav-items {
        transform: translateY(0);
    }

    .navigation .nav-items a {
        color: var(--dark-color);
        font-size: 1em;
        margin: 15px 50px;
        transition: 0.3s ease;
    } 

    .navigation .nav-items > a > i {
        display: inline-block;
        font-size: 1.3em;
        margin-right: 5px;
    }

    .swiper-slide .text-content .read-btn {
        font-size: 0.9em;
        padding: 5px 15px;
    }

    .about h2 {
        font-size: 2.5em;
    }


    .about p {
        font-size: 0.9em;
    }

    .swiper-slide .videobox{

        margin: 400px 220px;
    }

    .swiper-slide-active .videobox #player {
        height: 200px;
        width: 340px;
    }
    

    footer p {
        font-size: 15px;
        letter-spacing: .2em;
        text-overflow: ellipsis;
    }
}


@media screen and (max-width: 500px) {
    .section {
        padding: 25px 20px;
    }
    .swiper-slide .videobox{
        margin: 380px 40px;
    }

    .swiper-slide-active .videobox #player {
        height: 150px;
        width: 290px;
    }
}

@media screen and (max-width: 400px) {
    .swiper-slide .text-content .read-btn {
        display: none;
    }
    
    .swiper-slide-active .personal img {
        max-width: 180px;
    }

    .swiper-slide .videobox{

        display: none;
    }

    .swiper-slide-active .videobox #player {
        display: none;
    }
    .swiper-slide .text-content {
        margin: -60px 70px 0 20px;
    }
}
